#
# spec file for package cosmic-randr
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           cosmic-randr
Version:        0.1.0+git20240718.e214fe9
Release:        1.1
Summary:        Library and utility for displaying and configuring Wayland outputs
License:        MPL-2.0
URL:            https://github.com/pop-os/cosmic-randr
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging
BuildRequires:  just
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(wayland-client)

%description
COSMIC RandR is both a library and command line utility for displaying and
configuring Wayland outputs. Each display is represented as an "output head",
whereas all supported configurations for each display is represented as "output modes".

%prep
%autosetup -a1

%build
just build-release

%install
just rootdir=%{buildroot} prefix=%{_prefix} install

%check
%{cargo_test}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
* Thu Mar 14 2024 Richard Rahl <rrahl0@proton.me>
- initial packaging
